import os
import sys
import re

def natural_sort(l): 
    convert = lambda text: int(text) if text.isdigit() else text.lower() 
    alphanum_key = lambda key: [ convert(c) for c in re.split('([0-9]+)', key) ] 
    return sorted(l, key = alphanum_key)

os.chdir(os.path.dirname(__file__))

File = open("char.ini", "w")

File.write('[Options]\n')
File.write('name = {}\n'.format(os.path.basename(os.path.dirname(__file__))))
File.write('showname = {}\n'.format(input("Please input showname.")))
File.write('side = {}\n'.format('wit'))
File.write('gender = {}\n'.format(input("Please input gender.")))
File.write('[Time]\n\n')

input("Writing all .png in folder to charemote.txt. Press ENTER to begin.")
i = 0
string = ''
for emote in natural_sort(os.listdir()):
	try:
		if emote.lower().endswith(('.png')):
			name = emote[:emote.find('.png')]
			i += 1
			string += '{} = {}#{}#{}#0#\n'.format(i, name, name, name)
			print('{} = {}'.format(i, name))
	except:
		continue

File.write('[Emotions]\n')
File.write('number={}\n'.format(i))
File.write(string)

File.write('[SoundN]\n')
a = 0
while a < i:
	a+=1
	File.write('{} = 0\n'.format(a))
File.write('[SoundT]\n')
a = 0
while a < i:
	a += 1
	File.write('{} = 0\n'.format(a))

input("Done! Press ENTER to exit.")
